%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate subtle

Name:           rust-subtle
Version:        2.5.0
Release:    1%{?dist}
Summary:        Pure-Rust traits and utilities for constant-time cryptographic implementations

License:        BSD-3-Clause
URL:            https://crates.io/crates/subtle
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Pure-Rust traits and utilities for constant-time cryptographic
implementations.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const-generics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const-generics-devel %{_description}

This package contains library source intended for building other packages which
use the "const-generics" feature of the "%{crate}" crate.

%files       -n %{name}+const-generics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+core_hint_black_box-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+core_hint_black_box-devel %{_description}

This package contains library source intended for building other packages which
use the "core_hint_black_box" feature of the "%{crate}" crate.

%files       -n %{name}+core_hint_black_box-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+i128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+i128-devel %{_description}

This package contains library source intended for building other packages which
use the "i128" feature of the "%{crate}" crate.

%files       -n %{name}+i128-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.0-1
- initial build
